I have two questions:
In a loded assembly
1) How to find out if the selected part is loaded as resolved or lightweight?
2) If loaded as lightweight, how to resolve only the selected part (not all of the lightweight parts)?
Thanks in advance!
Using Solidworks API (C#), I'd like to change the transparency of a lightweight part that is selected in an assembly. Here is the code that I am using up to where I get an error (last line):
ModelDoc2 swModel = (ModelDoc2)swApp.ActiveDoc;
SelectionMgr...
I'd like to export only the selected part (in an assembly) as STL, but my code exports all of the parts as stl. Do you know how I can achieve this?
My code:
ModelDoc2 swModel = (ModelDoc2)swApp.ActiveDoc;
SelectionMgr swSelectionMgr =...
Does anyone know where (what dll or exe) the built-in icons of Solidworks are saved? I have made an add-in and I'd like to use some of the built-in icons like "Change Transparency" in my add-in.
Thanks in advance.
I'd like to open a part similar to "Open in Position" using API. I am able to open a part, but the view is not the same at it is in assembly.
Do you know how I can do this?
Thanks in advance.
I'd like to access collections (Sketches, Datums, Bodies, etc) of all of the parts in an assembly. The assembly part (.prt) itself is easy because I can use
NXOpen.Part partWork = theSession.Parts.Work;
to access the part instance of the assembly prt (assuming it is the work part). Using this...
I'd like to export multiple parts to STL format all at once and have different files for each part. Is this possible in NX?
In Solidworks you can specify whether to have all of the parts in only one file or each in a file.
Thanks,
I am wondering if there is an easy way to find the position (x, y, and z) of a point with respect to a coordinate system all at once ( not separately for x, y, and z)?
I used two extrudes and one edge blend features in a model:
I am now trying to use pattern feature to copy the three of these features to somewhere else in the same model. If I use the pattern feature command and select the three of these features, it works without any error. However, if I...
I am trying to config a fastener assembly that has Hex Socket Button Head screw. When I use the Reuse library in the resource bar. I can easily find the Hex Socket Button Head screw in ANSI Metric standard. Here is an snapshot:
However, when I try to config a new fastener assembly, it only...
I am using Show and Hide option to hide objects like Datumn, Curve, and Sketches. It works, but it is very temporary as when I edit some of the parts and switch back to the assembly, the hidden objects are back again.
What is the best permanent approach (reference sets, layers, etc) for only...
I am new user and this is my first journal.
I'd like to have a button to set the translucency of the selected part to 70%. I have recorded the following journal, but it basically does it only for the part that was selected during the record procedure:
using System;
using NXOpen;
public class...
In NX 10, I created a macro to change the transparency of a part to 60%, and I assigned the macro to a button. I did the exact same task using a journal.
When I click on the macro button, it immediately changes the transparency of the part. However, when I click on the journal button, it takes...